"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMintWithSingleToken = void 0;
const createMint_1 = require("./createMint");
const generated_1 = require("./generated");
const hooked_1 = require("./hooked");
function createMintWithSingleToken(context, input) {
    const mintAndOwner = { mint: input.mint.publicKey, owner: input.owner };
    return [
        ...(0, createMint_1.createMint)(context, input),
        (0, generated_1.createAssociatedToken)(context, mintAndOwner),
        (0, generated_1.mintTokensTo)(context, {
            amount: 1,
            mint: input.mint.publicKey,
            token: (0, hooked_1.findAssociatedTokenPda)(context, mintAndOwner),
        }),
    ];
}
exports.createMintWithSingleToken = createMintWithSingleToken;
//# sourceMappingURL=createMintWithSingleToken.js.map